Package org.eclipse.jgit.transport

## Class PostReceiveHookChain

- java.lang.Object
- - org.eclipse.jgit.transport.PostReceiveHookChain

All Implemented Interfaces:
  `PostReceiveHook`

    public class PostReceiveHookChain
    extends Object
    implements PostReceiveHook

`PostReceiveHook` that delegates to a list of other hooks.

Hooks are run in the order passed to the constructor.

### Field Summary

### Fields inherited from interface org.eclipse.jgit.transport.PostReceiveHook

`NULL`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static PostReceiveHook` `newChain​(List<? extends PostReceiveHook> hooks)` Create a new hook chaining the given hooks together.
`void` `onPostReceive​(ReceivePack rp, Collection<ReceiveCommand> commands)` Invoked after all commands are executed and status has been returned.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### newChain

    public static PostReceiveHook newChain​(List<? extends PostReceiveHook> hooks)

Create a new hook chaining the given hooks together.

Parameters:
  `hooks` - hooks to execute, in order.
Returns:
  a new hook chain of the given hooks.

#### onPostReceive

    public void onPostReceive​(ReceivePack rp,
                              Collection<ReceiveCommand> commands)

Description copied from interface: `PostReceiveHook`
Invoked after all commands are executed and status has been returned.

Specified by:
  `onPostReceive` in interface `PostReceiveHook`
Parameters:
  `rp` - the process handling the current receive. Hooks may obtain details about the destination repository through this handle.
  `commands` - unmodifiable set of successfully completed commands. May be the empty set.